package org.logical_paradox.rss.rcm.accessor;

import org.logical_paradox.rss.http.WebContents;


/**
 * 全く何も保存しないコンテンツアクセサ
 * 保存しようとしてもしないし，検索しても何もヒットしない
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.5 $
 */
public class NullFileContentsAccessor implements ContentsAccessor {
	/**
	 * コンストラクタ．
	 */
	public NullFileContentsAccessor() {
	}

	/**
	 * 接続先DSRを設定する．
	 */
	public void setDSRURI(String uri) {
		// 何もする必要がないので無視する
	}
	/**
	 * コンテンツを管理する際のエンコーディングを設定する．
	 * @param encoding エンコーディング
	 */
	public void setContentsEncoding(String encoding) {
		// 何もする必要がないので無視する
	}
	/**
	 * コンテンツアクセサを初期化する．
	 * @param initparam 初期化パラメータ
	 */
	public void init(String initparam) {
		// 何もする必要がないので無視する
	}

	/**
	 * コンテンツ管理ストレージに対する接続をオープンする．
 	 * 当然何もしない
	 */
	public void open(String openstr) {
	}

	/**
	 * コンテンツを登録する
	 * @param contents コンテンツ
	 */
	public void regist(WebContents contents) {
		return;
	}
	/**
	 * コンテンツを削除する
	 */
	public void unregist(String url) {
		return;
	}

	/**
	 * 全てのコンテンツを削除する
	 */
	public void unregistAll() {
		return;
	}

	/**
	 * コンテンツを探す
	 */
	public String find(String url) {
		return null;
	}

	/**
	 * ストレージとの接続を閉じる
	 */
	public void close() {
		return;
	}
}

// end of NullFileContentsAccessor.java
